Skip to content
SynapseFI Ruby API Wrapper
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
bin
lib
test
.env.sample
.gitignore
Gemfile
LICENSE
README.md
Rakefile
samples.md
synapse_pay_rest.gemspec

README.md

SynapsePayRest-Ruby

Native API library for SynapsePay REST v3.x

Not all API endpoints are supported.

Installation

Add this line to your application's Gemfile:

gem 'synapse_pay_rest'

And then execute:

$ bundle

Or install it yourself by executing:

$ gem install synapse_pay_rest

Documentation

Contributing

For minor issues, please open a pull request. For larger changes or features, please email hello@synapsepay.com. Please document and test any public constants/methods.

Running the Test Suite

If you haven't already, run cp .env.sample .env and set the TEST_CLIENT_ID and TEST_CLIENT_SECRET environment variables.

To run all tests, execute:

rake

To run a specific file or test run:

m path/to/file:line_number

License

MIT License

You can’t perform that action at this time.